ATMDUMP(8)

NAME
atmdump - capture or generate ATM cells

SYNOPSIS
atmdump [-i] [ -t type [-g gfc] [-c] ] [itf.]vpi.vci

DESCRIPTION
atmdump captures or generates single ATM cells ("AAL0"). When capturing cells, a time stamp, the cell header contents, and a hex dump of the cell payload are shown. When sending cells, the payload type, the generic flow control (GFC), and the cell loss priority (CLP) can be set.

In both modes of operation, the interface number, the VPI, and the VCI have to be specified.

When sending, atmdump expects the cell payload on standard input. If only less than 48 bytes can be read, the remaining space is padded with zero bytes.

OPTIONS

-i  displays timestamps as the interval since the last cell reception. By default, the absolute time is displayed. This options is ignored in transmit mode.

-t type
    selects transmit mode and specifies the payload type. A list of valid payload type numbers can be obtained by invoking atmdump without any arguments.

-g gfc
    specifies the value of the GFC field. gfc has to be in the range from 0 to 15, default is zero.

-c  sets the cell loss priority flag, indicating low priority. By default, CLP is not set.

RESTRICTIONS
Some device drivers may not pass OAM cells transparently.

AUTHOR
Werner Almesberger, EPFL ICA <Werner.Almesberger@epfl.ch>

SEE ALSO
atmdiag(8), clip(8), sonetdiag(8)